Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Class Namespaces

    java.lang.Object
      org.apache.ode.utils.Namespaces

    public class Namespaces

extends java.lang.Object

Constant class to centralize all namespaces declarations.

Field Summary
`static java.lang.String` | `BPEL11_NS` BPEL 1.1
`static java.lang.String` | `HTTP_NS`
`static java.lang.String` | `INTALIO_SESSION_NS`
`static java.lang.String` | `JBI_END_POINT_REFERENCE`
`static java.lang.String` | `ODE_EXTENSION_NS`
`static java.lang.String` | `ODE_HTTP_EXTENSION_NS`
`static java.lang.String` | `ODE_PMAPI` ODE stuff
`static java.lang.String` | `SOAP_ENV_NS`
`static java.lang.String` | `SOAP_NS`
`static java.lang.String` | `WS_ADDRESSING_ANON_URI`
`static javax.xml.namespace.QName` | `WS_ADDRESSING_ENDPOINT`
`static java.lang.String` | `WS_ADDRESSING_NS` Diverse WS-* stuff
`static javax.xml.namespace.QName` | `WS_ADDRESSING_USINGADDRESSING`
`static java.lang.String` | `WS_ADDRESSING_WSDL_NS`
`static java.lang.String` | `WS_BPEL_20_NS` BPEL 2.0 draft
`static java.lang.String` | `WSBPEL2_0_FINAL_ABSTRACT` BPEL 2.0 Final namespaces
`static java.lang.String` | `WSBPEL2_0_FINAL_EXEC`
`static java.lang.String` | `WSBPEL2_0_FINAL_PLINK`
`static java.lang.String` | `WSBPEL2_0_FINAL_SERVREF`
`static java.lang.String` | `WSBPEL2_0_FINAL_VARPROP`
`static java.lang.String` | `WSDL_11`
`static java.lang.String` | `WSDL_20`
`static java.lang.String` | `XML_SCHEMA`

Constructor Summary
`Namespaces()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSBPEL2_0_FINAL_ABSTRACT

    public static final java.lang.String WSBPEL2_0_FINAL_ABSTRACT

  BPEL 2.0 Final namespaces

  See Also:
    Constant Field Values

### WSBPEL2_0_FINAL_EXEC

    public static final java.lang.String WSBPEL2_0_FINAL_EXEC

See Also:
  Constant Field Values

### WSBPEL2_0_FINAL_PLINK

    public static final java.lang.String WSBPEL2_0_FINAL_PLINK

See Also:
  Constant Field Values

### WSBPEL2_0_FINAL_SERVREF

    public static final java.lang.String WSBPEL2_0_FINAL_SERVREF

See Also:
  Constant Field Values

### WSBPEL2_0_FINAL_VARPROP

    public static final java.lang.String WSBPEL2_0_FINAL_VARPROP

See Also:
  Constant Field Values

### WS_BPEL_20_NS

    public static final java.lang.String WS_BPEL_20_NS

  BPEL 2.0 draft

  See Also:
    Constant Field Values

### BPEL11_NS

    public static final java.lang.String BPEL11_NS

  BPEL 1.1

  See Also:
    Constant Field Values

### WS_ADDRESSING_NS

    public static final java.lang.String WS_ADDRESSING_NS

  Diverse WS-* stuff

  See Also:
    Constant Field Values

### WS_ADDRESSING_WSDL_NS

    public static final java.lang.String WS_ADDRESSING_WSDL_NS

See Also:
  Constant Field Values

### WS_ADDRESSING_ANON_URI

    public static final java.lang.String WS_ADDRESSING_ANON_URI

See Also:
  Constant Field Values

### HTTP_NS

    public static final java.lang.String HTTP_NS

See Also:
  Constant Field Values

### SOAP_NS

    public static final java.lang.String SOAP_NS

See Also:
  Constant Field Values

### SOAP_ENV_NS

    public static final java.lang.String SOAP_ENV_NS

See Also:
  Constant Field Values

### WSDL_11

    public static final java.lang.String WSDL_11

See Also:
  Constant Field Values

### WSDL_20

    public static final java.lang.String WSDL_20

See Also:
  Constant Field Values

### XML_SCHEMA

    public static final java.lang.String XML_SCHEMA

See Also:
  Constant Field Values

### JBI_END_POINT_REFERENCE

    public static final java.lang.String JBI_END_POINT_REFERENCE

See Also:
  Constant Field Values

### WS_ADDRESSING_ENDPOINT

    public static final javax.xml.namespace.QName WS_ADDRESSING_ENDPOINT

### WS_ADDRESSING_USINGADDRESSING

    public static final javax.xml.namespace.QName WS_ADDRESSING_USINGADDRESSING

### ODE_PMAPI

    public static final java.lang.String ODE_PMAPI

  ODE stuff

  See Also:
    Constant Field Values

### ODE_EXTENSION_NS

    public static final java.lang.String ODE_EXTENSION_NS

See Also:
  Constant Field Values

### ODE_HTTP_EXTENSION_NS

    public static final java.lang.String ODE_HTTP_EXTENSION_NS

See Also:
  Constant Field Values

### INTALIO_SESSION_NS

    public static final java.lang.String INTALIO_SESSION_NS

See Also:
  Constant Field Values

Constructor Detail

### Namespaces

    public Namespaces()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD